# Asterisk Project : Asterisk 13 Function_QUEUE_VARIABLES

Created by wikibot on Aug 08, 2014

# QUEUE_VARIABLES()

### Synopsis

Return Queue information in variables.

### Description

Makes the following queue variables available.

Returns `0` if queue is found and setqueuevar is defined, `-1` otherwise.

### Syntax

    QUEUE_VARIABLES(queuename)

##### Arguments

- `queuename`
  - `QUEUEMAX` - Maxmimum number of calls allowed.
  - `QUEUESTRATEGY` - The strategy of the queue.
  - `QUEUECALLS` - Number of calls currently in the queue.
  - `QUEUEHOLDTIME` - Current average hold time.
  - `QUEUECOMPLETED` - Number of completed calls for the queue.
  - `QUEUEABANDONED` - Number of abandoned calls.
  - `QUEUESRVLEVEL` - Queue service level.
  - `QUEUESRVLEVELPERF` - Current service level performance.

### See Also

- Asterisk 13 Application_Queue
- Asterisk 13 Application_QueueLog
- Asterisk 13 Application_AddQueueMember
- Asterisk 13 Application_RemoveQueueMember
- Asterisk 13 Application_PauseQueueMember
- Asterisk 13 Application_UnpauseQueueMember
- Asterisk 13 Function_QUEUE_VARIABLES
- Asterisk 13 Function_QUEUE_MEMBER
- Asterisk 13 Function_QUEUE_MEMBER_COUNT
- Asterisk 13 Function_QUEUE_EXISTS
- Asterisk 13 Function_QUEUE_WAITING_COUNT
- Asterisk 13 Function_QUEUE_MEMBER_LIST
- Asterisk 13 Function_QUEUE_MEMBER_PENALTY

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538